<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:26 PST 2005 -->
<TITLE>
: Class  SQLStatementsSwitch
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLStatementsSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLStatementsSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.statements.util</FONT>
<BR>
Class  SQLStatementsSwitch</H2>
<PRE>
java.lang.Object
  |
  +--<B>org.eclipse.wst.rdb.internal.models.sql.statements.util.SQLStatementsSwitch</B>
</PRE>
<HR>
<DL>
<DT>public class <B>SQLStatementsSwitch</B><DT>extends java.lang.Object</DL>

<P>
<!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(object)</CODE></A>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html"><CODE>SQLStatementsPackage</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#SQLStatementsSwitch()">SQLStatementsSwitch</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of the switch.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseEModelElement(org.eclipse.emf.ecore.EModelElement)">caseEModelElement</A></B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseENamedElement(org.eclipse.emf.ecore.ENamedElement)">caseENamedElement</A></B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLConnectionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLConnectionStatement)">caseSQLConnectionStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html">SQLConnectionStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Connection Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLControlStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLControlStatement)">caseSQLControlStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html">SQLControlStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Control Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLDataChangeStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDataChangeStatement)">caseSQLDataChangeStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html">SQLDataChangeStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Data Change Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLDataStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDataStatement)">caseSQLDataStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html">SQLDataStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Data Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLDiagnosticsStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDiagnosticsStatement)">caseSQLDiagnosticsStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html">SQLDiagnosticsStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Diagnostics Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLDynamicStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDynamicStatement)">caseSQLDynamicStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html">SQLDynamicStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Dynamic Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)">caseSQLObject</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLSchemaStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLSchemaStatement)">caseSQLSchemaStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html">SQLSchemaStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Schema Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLSessionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLSessionStatement)">caseSQLSessionStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html">SQLSessionStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Session Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLStatement)">caseSQLStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html">SQLStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLStatementDefault(org.eclipse.wst.rdb.internal.models.sql.statements.SQLStatementDefault)">caseSQLStatementDefault</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html">SQLStatementDefault</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Statement Default</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#caseSQLTransactionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLTransactionStatement)">caseSQLTransactionStatement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html">SQLTransactionStatement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Transaction Statement</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#defaultCase(org.eclipse.emf.ecore.EObject)">defaultCase</A></B>(org.eclipse.emf.ecore.EObject&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EObject</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)">doSwitch</A></B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SQLStatementsSwitch()"><!-- --></A><H3>
SQLStatementsSwitch</H3>
<PRE>
public <B>SQLStatementsSwitch</B>()</PRE>
<DL>
<DD>Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="doSwitch(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
doSwitch</H3>
<PRE>
public java.lang.Object <B>doSwitch</B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</PRE>
<DL>
<DD>Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Returns:</B><DD>the first non-null result returned by a <code>caseXXX</code> call.</DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLStatement)"><!-- --></A><H3>
caseSQLStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html">SQLStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLDataStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDataStatement)"><!-- --></A><H3>
caseSQLDataStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLDataStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html">SQLDataStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Data Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Data Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLSchemaStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLSchemaStatement)"><!-- --></A><H3>
caseSQLSchemaStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLSchemaStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html">SQLSchemaStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Schema Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Schema Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLControlStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLControlStatement)"><!-- --></A><H3>
caseSQLControlStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLControlStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html">SQLControlStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Control Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Control Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLDataChangeStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDataChangeStatement)"><!-- --></A><H3>
caseSQLDataChangeStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLDataChangeStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html">SQLDataChangeStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Data Change Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Data Change Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLStatementDefault(org.eclipse.wst.rdb.internal.models.sql.statements.SQLStatementDefault)"><!-- --></A><H3>
caseSQLStatementDefault</H3>
<PRE>
public java.lang.Object <B>caseSQLStatementDefault</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html">SQLStatementDefault</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Statement Default</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Statement Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLConnectionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLConnectionStatement)"><!-- --></A><H3>
caseSQLConnectionStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLConnectionStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html">SQLConnectionStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Connection Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Connection Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLDiagnosticsStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDiagnosticsStatement)"><!-- --></A><H3>
caseSQLDiagnosticsStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLDiagnosticsStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html">SQLDiagnosticsStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Diagnostics Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Diagnostics Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLDynamicStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLDynamicStatement)"><!-- --></A><H3>
caseSQLDynamicStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLDynamicStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html">SQLDynamicStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Dynamic Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Dynamic Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLSessionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLSessionStatement)"><!-- --></A><H3>
caseSQLSessionStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLSessionStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html">SQLSessionStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Session Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Session Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLTransactionStatement(org.eclipse.wst.rdb.internal.models.sql.statements.SQLTransactionStatement)"><!-- --></A><H3>
caseSQLTransactionStatement</H3>
<PRE>
public java.lang.Object <B>caseSQLTransactionStatement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html">SQLTransactionStatement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Transaction Statement</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Transaction Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseEModelElement(org.eclipse.emf.ecore.EModelElement)"><!-- --></A><H3>
caseEModelElement</H3>
<PRE>
public java.lang.Object <B>caseEModelElement</B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EModel Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseENamedElement(org.eclipse.emf.ecore.ENamedElement)"><!-- --></A><H3>
caseENamedElement</H3>
<PRE>
public java.lang.Object <B>caseENamedElement</B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>ENamed Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)"><!-- --></A><H3>
caseSQLObject</H3>
<PRE>
public java.lang.Object <B>caseSQLObject</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Object</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="defaultCase(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
defaultCase</H3>
<PRE>
public java.lang.Object <B>defaultCase</B>(org.eclipse.emf.ecore.EObject&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EObject</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(org.eclipse.emf.ecore.EObject)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLStatementsSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/util/SQLStatementsAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLStatementsSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
